Get Message

**CLI:** ```bash agentmail inboxes:messages retrieve --inbox-id <inbox_id> --message-id <message_id> ```

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
message_idstringRequired
ID of message.

Response

This endpoint returns an object.
inbox_idstring
The ID of the inbox.
thread_idstring
ID of thread.
message_idstring
ID of message.
labelslist of strings
Labels of message.
timestampdatetime
Time at which message was sent or drafted.
fromstring

Address of sender. In format username@domain.com or Display Name <username@domain.com>.

tolist of strings

Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.

sizeinteger
Size of message in bytes.
updated_atdatetime
Time at which message was last updated.
created_atdatetime
Time at which message was created.
reply_tolist of strings

Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.

cclist of strings

Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.

bcclist of strings

Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.

subjectstring
Subject of message.
previewstring
Text preview of message.
textstring
Plain text body of message.
htmlstring
HTML body of message.
extracted_textstring
Extracted new text content.
extracted_htmlstring
Extracted new HTML content.
attachmentslist of objects
Attachments in message.
in_reply_tostring
ID of message being replied to.
referenceslist of strings
IDs of previous messages in thread.
headersmap from strings to strings
Headers in message.

Errors

404
Not Found Error